body {
  font-family: Proxima Nova, Roboto, sans-serif;
  color: white;
  background-color: #1a1a20;
}

#eventsTable thead {
  position: sticky;
  top: 0;
  background-color: #000e23; /* Asegúrate de que el fondo sea sólido para que el texto sea legible */
  z-index: 999; /* Asegúrate de que el encabezado esté por encima del contenido */
}

#eventsTable {
  width: 100%;
  border-collapse: collapse; /* Asegura que los bordes no se colapsen */
}

button {
  background-color: white;
  border: none;
  padding: 15px 20px;
  cursor: pointer;
  position: relative;
  overflow: hidden;
  z-index: 1;
  font-size: 20px;
  font-weight: 600;
  margin-top: 20px;
  margin-bottom: 20px;
  width: 50%;
  border-radius: 3px;
}

/* Estilos de hover del botón */
button:before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 0;
  height: 100%;
  background-color: #005db6;
  transition: width 0.3s ease-in-out;
  z-index: -1;
}

button.clicked {
  background-color: #005db6; /* Color azul */
  color: white; /* Texto en blanco */
}

button:hover:before {
  width: 100%;
}

#update-btn,
#cancel-btn,
#delete-btn {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 10px;
  width: 10px;
  font-size: 10px;
}

#update-btn {
  background-color: white;
  margin-left: 6px;
}

#delete-btn {
  background-color: rgb(206, 41, 41);
  margin-left: 10px;
}

#update-btn:hover {
  background-color: rgb(160, 160, 160);
}

#delete-btn:hover {
  background-color: rgb(167, 1, 1);
}

#update-btn:before {
  background-color: rgb(160, 160, 160);
  transition: none;
}

#delete-btn:before {
  background-color: rgb(168, 30, 30);
  transition: none;
}

#botonera {
  text-align: center;
}

/* Estilos del texto del botón durante el hover */
button:hover {
  color: white;
}

#contador {
  text-align: center;
}

#simpleClock {
  font-size: 90px;
  font-weight: 800;
  color: #00fff0;
}

#mensajeEvento {
  text-align: center;
}

.btn-save {
  background-color: #2d792d !important;
  color: white;
}

.btn-save:hover {
  background-color: #1c3f1c !important;
  color: white;
}

.btn-save:before {
  background-color: #1c3f1c !important;
  transition: none;
}

.btn-cancel {
  color: rgb(194, 77, 77);
  margin-left: 10px;
}

.btn-cancel:hover {
  background-color: rgb(194, 77, 77) !important;
  color: white;
}

.btn-cancel:before {
  background-color: rgb(194, 77, 77) !important;
  transition: none;
}

#eventsTable input:disabled {
  color: white; /* Cambia el color de texto de los inputs deshabilitados a blanco */
  background-color: #000e23;
  border: unset;
}

#search-input {
  float: right;
  height: 30px;
  width: 20%;
  margin-right: 20px;
  margin-bottom: 50px;
}

/*Botones Sweet Alert*/
.swal2-confirm:before {
  transition: none !important;
}

.swal2-cancel {
  width: 55%;
}

.swal2-cancel:before {
  transition: none !important;
  background-color: #e60000 !important;
}

div:where(.swal2-container) button:where(.swal2-styled).swal2-confirm {
  background-color: #0069f0 !important;
  width: 56px;
  box-shadow: none !important;
}

div:where(.swal2-container) button:where(.swal2-styled).swal2-confirm:focus {
  box-shadow: none !important;
}

@media only screen and (max-width: 600px) {
  .flip-clock-wrapper ul {
    float: left;
  }
  .flip-clock-divider {
    float: left;
    height: 60px;
  }
  .flip-clock-divider:first-of-type {
    display: none;
  }

  #simpleClock {
    font-size: 70px;
  }

  .elementor-element-a9f4422 > div:nth-child(1) > iframe:nth-child(1) {
    height: 400px !important;
  }
}
